import 'package:flutter/material.dart';
import 'package:hub/backend/api_requests/api_calls.dart';

abstract class LocalsRepository {
  Future<void> checkLocals(BuildContext context) async {}
  Future<bool> processLocals(BuildContext context) async => false;
  Future<bool> processData(BuildContext context) async => false;
  Future<bool> selectLocal(BuildContext context, ApiCallResponse? response) async => false;
  Future<void> unlinkLocal(BuildContext context) async {}
}
